summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-06-07 21:51:48 +0000
committerMichał Górny <mgorny@gentoo.org>2012-06-07 21:51:48 +0000
commit86a674422816e678646ee0c6c89fa70d65a86fca (patch)
tree11df9a71eadecca7b41c14aea9dacbface638c19 /eclass
parentfix static-libs useflag wrt bug #412675 (diff)
downloadgentoo-2-86a674422816e678646ee0c6c89fa70d65a86fca.tar.gz
gentoo-2-86a674422816e678646ee0c6c89fa70d65a86fca.tar.bz2
gentoo-2-86a674422816e678646ee0c6c89fa70d65a86fca.zip
Extract to ${WORKDIR}/${P} rather than ${S}.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/vcs-snapshot.eclass7
2 files changed, 8 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 92e2461c03c8..0121bd88edeb 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.296 2012/06/07 15:36:49 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.297 2012/06/07 21:51:48 mgorny Exp $
+
+ 07 Jun 2012; Michał Górny <mgorny@gentoo.org> vcs-snapshot.eclass:
+ Extract to ${WORKDIR}/${P} rather than ${S}.
07 Jun 2012; Davide Pesavento <pesa@gentoo.org> qt4-build.eclass:
Specify SLOT in blocker atoms, to avoid blocking Qt5 packages.
diff --git a/eclass/vcs-snapshot.eclass b/eclass/vcs-snapshot.eclass
index 674836033b5f..87293ad709fe 100644
--- a/eclass/vcs-snapshot.eclass
+++ b/eclass/vcs-snapshot.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vcs-snapshot.eclass,v 1.2 2012/03/19 08:52:49 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vcs-snapshot.eclass,v 1.3 2012/06/07 21:51:48 mgorny Exp $
# @ECLASS: vcs-snapshot.eclass
# @MAINTAINER:
@@ -9,7 +9,8 @@
# @DESCRIPTION:
# This eclass provides a convenience src_unpack() which does support
# working with snapshots generated by various VCS-es. It unpacks those
-# to ${S} rather than the original directory containing commit id.
+# to ${WORKDIR}/${P} rather than the original directory containing
+# the commit id.
#
# Note that this eclass handles only unpacking. You need to specify
# SRC_URI yourself, and call any autoreconfiguration as necessary.
@@ -41,5 +42,5 @@ vcs-snapshot_src_unpack() {
# github, bitbucket: username-projectname-hash
# gitweb: projectname-tagname-hash
- mv *-*-[0-9a-f]*[0-9a-f]/ "${S}" || die
+ mv *-*-[0-9a-f]*[0-9a-f]/ "${WORKDIR}"/${P} || die
}